Get a canon category gl
Módulo Canon
GET/canon/category-gl/{cat_urid}canonCategoryGl.get
The GL account each category posts to. Returns one canon category gl with its `ETag`. A canon category gl the caller may not see returns 404.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| cat_urid | Urid | Sí | Category URID `DDDD.DD.DD` from `xpms.dim_category` (Section 3.3). There is no fourth segment.Restricciones: pattern ^[0-9]000\.[0-9]{2}\.[0-9]{2}$ |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
Respuesta 200: CanonCategoryGl
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| cat_urid | Urid | Sí | Category URID `DDDD.DD.DD` from `xpms.dim_category` (Section 3.3). There is no fourth segment.Restricciones: pattern ^[0-9]000\.[0-9]{2}\.[0-9]{2}$ |
| default_cost_center | string | Sí | Default cost center (dimension 1) of the category.Restricciones: length 1 to 300 |
| account_code | GlAccountCode | null | Sí |
{
"cat_urid": "4000.01.01",
"default_cost_center": "Production",
"account_code": "5400"
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/category-gl/4000.01.01" \
-H "Authorization: Bearer $XOS_API_KEY"const { data, etag } = await xos.canonCategoryGl.get("4000.01.01");response = xos.canon_category_gl.get("4000.01.01")xos canon-category-gl get 4000.01.01